<template>
    <!-- <div>record-查看紀錄
        <el-tabs
            v-model="activeTabName"
            @tab-click="tabClick"
        >
            <el-tab-pane
                label="回應紀錄"
                name="contactRecord"
            >
            </el-tab-pane>
            <el-tab-pane
                label="滿意度紀錄"
                name="reviews"
            ></el-tab-pane>
        </el-tabs> -->

        <NuxtChild></NuxtChild>
    <!-- </div> -->
</template>

<script lang="ts">
import { Vue, Component, Watch } from 'vue-property-decorator';
import { Route } from 'vue-router/types/router.d';

@Component
export default class Record extends Vue {
    activeTabName = 'contactRecord';

    tabClick() {
        this.$router.push('/record/' + this.activeTabName);
    }

    @Watch('$route') watchRouter(currentRoute: Route) {
        const pathArray = currentRoute.fullPath.split('/');
        this.activeTabName = pathArray[pathArray.length - 1];
    }
}
</script>

<style lang="scss" scoped>
    .el-tabs__item:hover {
        color: #303133;
    }
</style>